Skip to main content
GET
/
v1
/
datapoints
Retrieve a list of datapoints
curl --request GET \
  --url https://api.dp1.us.honeyhive.ai/v1/datapoints \
  --header 'Authorization: Bearer <token>'
{
  "datapoints": [
    {
      "id": "<string>",
      "inputs": {},
      "history": [
        {}
      ],
      "ground_truth": {},
      "metadata": {},
      "linked_event": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "linked_datasets": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

datapoint_ids
string[]

List of datapoint ids to fetch

dataset_name
string

Name of the dataset to get datapoints from

Response

200 - application/json

Successful response

Response for GET /datapoints

datapoints
object[]
required